Skip to main content
DELETE
/
api
/
v1
/
styleguides
Delete Style Guides
curl --request DELETE \
  --url https://eu.phrase.com/styleguide/api/v1/styleguides \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
import requests

url = "https://eu.phrase.com/styleguide/api/v1/styleguides"

payload = { "ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};

fetch('https://eu.phrase.com/styleguide/api/v1/styleguides', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "deletedCount": 123,
  "failures": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "errorMessage": "<string>",
      "name": "<string>"
    }
  ]
}
{
  "code": "<string>",
  "message": "<string>",
  "detail": "<string>"
}
{
  "code": "<string>",
  "message": "<string>",
  "detail": "<string>"
}
{
  "code": "<string>",
  "message": "<string>",
  "detail": "<string>"
}

Authorizations

Authorization
string
header
required

JWT from IDM (Authorization: Bearer )

Body

application/json
ids
string<uuid>[]
required
Maximum array length: 50

Response

Style Guides deleted successfully (partial success possible)

deletedCount
integer<int32>
failures
object[]